Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.layoutmgr
Class LayoutManagerMapping.Maker

    java.lang.Object
      org.apache.fop.layoutmgr.LayoutManagerMapping.Maker

Direct Known Subclasses:
  LayoutManagerMapping.BasicLinkLayoutManagerMaker, LayoutManagerMapping.BidiOverrideLayoutManagerMaker, LayoutManagerMapping.BlockContainerLayoutManagerMaker, LayoutManagerMapping.BlockLayoutManagerMaker, LayoutManagerMapping.CharacterLayoutManagerMaker, LayoutManagerMapping.ExternalGraphicLayoutManagerMaker, LayoutManagerMapping.FootnodeLayoutManagerMaker, LayoutManagerMapping.FOTextLayoutManagerMaker, LayoutManagerMapping.InlineContainerLayoutManagerMaker, LayoutManagerMapping.InlineLayoutManagerMaker, LayoutManagerMapping.InstreamForeignObjectLayoutManagerMaker, LayoutManagerMapping.LeaderLayoutManagerMaker, LayoutManagerMapping.ListBlockLayoutManagerMaker, LayoutManagerMapping.ListItemLayoutManagerMaker, LayoutManagerMapping.PageNumberCitationLastLayoutManagerMaker, LayoutManagerMapping.PageNumberCitationLayoutManagerMaker, LayoutManagerMapping.PageNumberLayoutManagerMaker, LayoutManagerMapping.RetrieveMarkerLayoutManagerMaker, LayoutManagerMapping.TableLayoutManagerMaker, LayoutManagerMapping.WrapperLayoutManagerMaker

Enclosing class:
  LayoutManagerMapping

public static class LayoutManagerMapping.Maker
extends java.lang.Object

Constructor Summary
`LayoutManagerMapping.Maker()`

Method Summary
`void` | `make(FONode node, java.util.List lms)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LayoutManagerMapping.Maker

    public LayoutManagerMapping.Maker()

Method Detail

### make

    public void make(FONode node,
                     java.util.List lms)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.